

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Security Board Configuration &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../genindex.html"/>
        <link rel="search" title="Search" href="../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../index.html"/>
        <link rel="up" title="Chapter 3: Board Configuration" href="index.html"/>
        <link rel="next" title="Power Management Board Configuration" href="BOARDCFG_PM.html"/>
        <link rel="prev" title="Resource Management Board Configuration" href="BOARDCFG_RM.html"/> 

  
  <script src="../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                19.07.00
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="index.html">Chapter 3: Board Configuration</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="BOARDCFG.html">Board Configuration</a></li>
<li class="toctree-l2"><a class="reference internal" href="BOARDCFG_RM.html">Resource Management Board Configuration</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">Security Board Configuration</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#security-configuration-in-system-firmware">Security Configuration in System Firmware</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#tisci-api-for-security-board-config">TISCI API for Security Board Config</a></li>
<li class="toctree-l4"><a class="reference internal" href="#configuration-substructure-enumeration">Configuration substructure enumeration</a></li>
<li class="toctree-l4"><a class="reference internal" href="#design-for-processor-access-list">Design for Processor Access List</a></li>
<li class="toctree-l4"><a class="reference internal" href="#design-for-host-hierarchy">Design for Host Hierarchy</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="BOARDCFG_PM.html">Power Management Board Configuration</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="../5_soc_doc/index.html">Chapter 5: SoC Family Specific Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../index.html">Docs</a> &raquo;</li>
      
          <li><a href="index.html">Chapter 3: Board Configuration</a> &raquo;</li>
      
    <li>Security Board Configuration</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="security-board-configuration">
<h1>Security Board Configuration<a class="headerlink" href="#security-board-configuration" title="Permalink to this headline">¶</a></h1>
<div class="section" id="security-configuration-in-system-firmware">
<span id="pub-boardcfg-sec-intro"></span><h2>Security Configuration in System Firmware<a class="headerlink" href="#security-configuration-in-system-firmware" title="Permalink to this headline">¶</a></h2>
<p>The security portion of system firmware has options that can be configured
independently of the main Board Configuration. In addition, initialization of
the secure portion of the system firmware can be deferred until this secure
board configuration is sent to allow tuning of the system boot time.</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">This message MUST be sent in order to initialize the security capabilities of
system firmware. Until it is received no security functionality is available.</p>
</div>
<p>A standalone board configuration message contains the security
data within a flat-typed array.  The security data is provided
separately to reduce DMSC boot time.  The security board cfg message
is sent any time after the boot notification message is sent and has no
dependence upon receipt of the standard board configuration message.</p>
<div class="section" id="tisci-api-for-security-board-config">
<span id="pub-boardcfg-security-tisci"></span><h3>TISCI API for Security Board Config<a class="headerlink" href="#tisci-api-for-security-board-config" title="Permalink to this headline">¶</a></h3>
<p>The following are the parameters required in the TI-SCI message to pass security
board configuration data to DMSC after DMSC sends boot notification complete.
The security board configuration message is not dependent on receipt of the
standard board configuration message.</p>
<div class="section" id="usage">
<h4>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>Yes</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="tisci-message-id">
<h4>TISCI Message ID<a class="headerlink" href="#tisci-message-id" title="Permalink to this headline">¶</a></h4>
<p><code class="docutils literal"><span class="pre">TISCI_MSG_BOARD_CONFIG_SECURITY</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x000DU)</span></code></p>
</div>
<div class="section" id="message-data-structures">
<h4>Message Data Structures<a class="headerlink" href="#message-data-structures" title="Permalink to this headline">¶</a></h4>
<p><p><strong>struct tisci_msg_board_config_security_req</strong></p>
<p>TISCI_MSG_BOARD_CONFIG_SECURITY request to provide the location and size of the boardcfg security configuration structure.</p>
<table border="1" class="docutils">
<colgroup>
<col width="20%" />
<col width="17%" />
<col width="63%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header</td>
</tr>
<tr class="row-odd"><td>boardcfg_securityp_low</td>
<td>u32</td>
<td>Low 32-bits of physical pointer to boardcfg security configuration struct.</td>
</tr>
<tr class="row-even"><td>boardcfg_securityp_high</td>
<td>u32</td>
<td>High 32-bits of physical pointer to boardcfg security configuration struct.</td>
</tr>
<tr class="row-odd"><td>boardcfg_security_size</td>
<td>u16</td>
<td>Size of security configuration data.</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_board_config_security_resp</strong></p>
<p>Empty response for TISCI_MSG_BOARD_CONFIG_SECURITY.</p>
<table border="1" class="docutils">
<colgroup>
<col width="27%" />
<col width="43%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header.</td>
</tr>
</tbody>
</table>
<p>Although this message is essentially empty and contains only a header
 a full data structure is created for consistency in implementation.</p>
</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">The boardcfg data structures described below <strong>must</strong> be placed in
MCU OCMC SRAM. The address used in the TISCI message will be
in MCU OCMC SRAM.</p>
</div>
</div>
</div>
<div class="section" id="configuration-substructure-enumeration">
<span id="pub-boardcfg-sec"></span><h3>Configuration substructure enumeration<a class="headerlink" href="#configuration-substructure-enumeration" title="Permalink to this headline">¶</a></h3>
<p>This is a fixed size c-structure which both defines the format of the
configuration as well as reserves DMSC memory to store the
configuration. The boardcfg_sec data structure makes use of the same
<a class="reference internal" href="BOARDCFG.html#pub-boardcfg-abi-rev"><span class="std std-ref">ABI revision structure</span></a> structure for the top level and
<a class="reference internal" href="BOARDCFG.html#pub-boardcfg-subhdr"><span class="std std-ref">boardcfg substructure header</span></a> for each member structure as the top level
boardcfg structure does..</p>
<table border="1" class="docutils">
<colgroup>
<col width="17%" />
<col width="31%" />
<col width="51%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Element</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>boardcfg_abi_rev</td>
<td><a class="reference internal" href="BOARDCFG.html#pub-boardcfg-abi-rev"><span class="std std-ref">ABI revision structure</span></a></td>
<td>Board Config ABI version (separate from DMSC ABI version)</td>
</tr>
<tr class="row-odd"><td>processor_acl_list</td>
<td><a class="reference internal" href="#pub-boardcfg-proc-acl"><span class="std std-ref">Design for Processor Access List</span></a></td>
<td>Processor access control list configuration</td>
</tr>
<tr class="row-even"><td>host_hierarchy</td>
<td><a class="reference internal" href="#pub-boardcfg-host-hierarchy"><span class="std std-ref">Design for Host Hierarchy</span></a></td>
<td>Host hierarchy configuration</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="design-for-processor-access-list">
<span id="pub-boardcfg-proc-acl"></span><h3>Design for Processor Access List<a class="headerlink" href="#design-for-processor-access-list" title="Permalink to this headline">¶</a></h3>
<p>Access Control List for various Processors in the SoC.</p>
<div class="section" id="boardcfg-proc">
<span id="pub-boardcfg-proc"></span><h4>boardcfg_proc<a class="headerlink" href="#boardcfg-proc" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="15%" />
<col width="54%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Element</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>subhdr</td>
<td><a class="reference internal" href="BOARDCFG.html#pub-boardcfg-subhdr"><span class="std std-ref">boardcfg substructure header</span></a></td>
<td>Magic and size for integrity check</td>
</tr>
<tr class="row-odd"><td>proc_access_list</td>
<td><a class="reference internal" href="#pub-processor-access-list"><span class="std std-ref">processor_access_list</span></a> [32]</td>
<td>Processor access description</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="processor-access-list-entry">
<span id="pub-processor-access-list"></span><h4>Processor access list entry<a class="headerlink" href="#processor-access-list-entry" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="25%" />
<col width="5%" />
<col width="70%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Element</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>processor_id</td>
<td>u8</td>
<td>Processor ID (mandatory) - Use 0 to mark unused</td>
</tr>
<tr class="row-odd"><td>proc_access_master</td>
<td>u16</td>
<td>Recovery Host ID or Primary control master host ID (mandatory)</td>
</tr>
<tr class="row-even"><td>proc_access_secondary[0-2]</td>
<td>u16</td>
<td>Other Host IDs that can control this processor(set to DMSC host ID if unused)</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="section" id="design-for-host-hierarchy">
<span id="pub-boardcfg-host-hierarchy"></span><h3>Design for Host Hierarchy<a class="headerlink" href="#design-for-host-hierarchy" title="Permalink to this headline">¶</a></h3>
<p>Host Hierarchy for various processing entities in the SoC.  Host hierarchy
defines the supervisory tree for all processing entities in the SoC.</p>
<div class="section" id="boardcfg-host-hierarchy">
<h4>boardcfg_host_hierarchy<a class="headerlink" href="#boardcfg-host-hierarchy" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="20%" />
<col width="49%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Element</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>subhdr</td>
<td><a class="reference internal" href="BOARDCFG.html#pub-boardcfg-subhdr"><span class="std std-ref">boardcfg substructure header</span></a></td>
<td>Magic and size for integrity check</td>
</tr>
<tr class="row-odd"><td>host_hierarchy_entries</td>
<td><a class="reference internal" href="#pub-host-hierarchy"><span class="std std-ref">host_hierarchy_entries</span></a> [32]</td>
<td>Host hierarchy description</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="host-hierarchy-entry">
<span id="pub-host-hierarchy"></span><h4>Host hierarchy entry<a class="headerlink" href="#host-hierarchy-entry" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="23%" />
<col width="7%" />
<col width="70%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Element</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>host_id</td>
<td>u8</td>
<td>Processing entity Host ID (mandatory) - Use 0 to mark unused</td>
</tr>
<tr class="row-odd"><td>supervisor_host_id</td>
<td>u8</td>
<td>Supervisor Host ID</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="BOARDCFG_PM.html" class="btn btn-neutral float-right" title="Power Management Board Configuration" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="BOARDCFG_RM.html" class="btn btn-neutral" title="Resource Management Board Configuration" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2019</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../',
            VERSION:'19.07.00',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../_static/jquery.js"></script>
      <script type="text/javascript" src="../_static/underscore.js"></script>
      <script type="text/javascript" src="../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>